E-MailRelay

Classes | Namespaces | Macros
gexception.h File Reference
`#include "gdef.h"`
`#include <string>`
`#include <iostream>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes
class | G::Exception
| A general-purpose exception class derived from std::exception and containing an error message. More...

## Namespaces
namespace | G
| Low-level classes.

## Macros
#define | G_EXCEPTION_CLASS(class_name, description) class class_name : public G::Exception { public: class_name() : G::Exception((description)) {} explicit class_name(const char *more) : G::Exception((description),more) {} explicit class_name(const std::string &more) : G::Exception((description),more) {} class_name(const std::string &more1,const std::string &more2) : G::Exception((description),more1,more2) {} class_name(const std::string &more1,const std::string &more2,const std::string &more3) : G::Exception((description),more1,more2,more3) {} }
#define | G_EXCEPTION_FUNCTION(name, description)

## Macro Definition Documentation

## ◆ G_EXCEPTION_CLASS

#define G_EXCEPTION_CLASS | ( |  | class_name,
|  |  | description
| ) |  | class class_name : public G::Exception { public: class_name() : G::Exception((description)) {} explicit class_name(const char *more) : G::Exception((description),more) {} explicit class_name(const std::string &more) : G::Exception((description),more) {} class_name(const std::string &more1,const std::string &more2) : G::Exception((description),more1,more2) {} class_name(const std::string &more1,const std::string &more2,const std::string &more3) : G::Exception((description),more1,more2,more3) {} }

Definition at line 72 of file gexception.h.

## ◆ G_EXCEPTION_FUNCTION

#define G_EXCEPTION_FUNCTION | ( |  | name,
|  |  | description
| ) |  |

Value:
inline static G::Exception name() { return G::Exception((description)) ; } \
inline static G::Exception name( const std::string & s ) { return G::Exception((description),s) ; } \
inline static G::Exception name( const std::string & s1 , const std::string & s2 ) { return G::Exception((description),s1,s2) ; } \
inline static G::Exception name( const std::string & s1 , const std::string & s2 , const std::string & s3 ) { return G::Exception((description),s1,s2,s3) ; }
G::Exception
A general-purpose exception class derived from std::exception and containing an error message.
Definition: gexception.h:45

Definition at line 74 of file gexception.h.